View Issue Details

IDProjectCategoryView StatusLast Update
0031520LazarusIDEpublic2017-09-05 11:58
ReporterwpAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platformi386-win32OSWinOS VersionWin 10 / 64 bit
Product Version1.7 (SVN)Product Build 
Target Version1.8Fixed in Version1.7 (SVN) 
Summary0031520: ItemsTreeview in dialog TNewOtherDialog too narrow, window size not persistent
DescriptionThe treeview of "new items" at the left of the TNewOtherDialog is too narrow (at least on Win10) so that items are cut off. There's no reason why it should not be wider, and it has been wider no so long ago.

Changing the window size and shifting to splitter to the correct width is not helpful because the IDE forgets the changed settings of this dialog.
Additional InformationThe changed dialog came in first in r54321 (see screenshot -- the revision number is at the end of the file name). The previous revision still was ok.

The commit log of the culprit revision is "IDE: Add a FilterEdit for NewDialog's inherited components. Try to improve the FilterEdit comp. Issue 0031419." The change was made by Juha, therefore I assign the issue to him.
TagsNo tags attached.
Fixed in Revisionr54388, r55302
LazTarget-
Widgetset
Attached Files

Relationships

related to 0031419 resolvedJuha Manninen filter option to find the right inheried forms 
has duplicate 0032372 resolvedJuha Manninen IDE "New..." dialog: left bar is always narrow 

Activities

wp

2017-03-10 22:22

developer  

wp

2017-03-10 22:22

developer  

Juha Manninen

2017-03-11 21:23

developer   ~0098822

I made the size persistent. Please test.

wp

2017-03-11 22:57

developer   ~0098825

Thank you. Size is persistent now, but shouldn't the splitter position be persistent as well?

Juha Manninen

2017-03-11 23:26

developer   ~0098826

Maybe but the IDE does not support it yet.
When it does, all splitters in all windows should be made persistent.

wp

2017-03-11 23:56

developer   ~0098828

Oh, I did not know. But no problem, you can mark the report as being resolved.

wp

2017-03-12 10:26

developer   ~0098837

Thanks

wp

2017-05-19 01:34

developer   ~0100476

The fix did not make it into 1.8RC1.

Juha Manninen

2017-05-19 08:09

developer   ~0100479

Yes it did.
r54388 happened before fixes_1_8 was forked.

wp

2017-05-19 09:47

developer   ~0100482

Last edited: 2017-05-19 10:12

View 2 revisions

Oh, I am sorry. I just saw the narrow treeview, and immediately thought that your fix is not included - I should have changed the window size...

Please resolve.

Juha Manninen

2017-05-19 10:53

developer   ~0100484

Resolving.
I don't know why you still got a narrow treeview. The default size was also increased.

wp

2017-05-19 11:05

developer   ~0100487

It is reproducible: I did two secondary installs of RC1 in my standard Win 10, and I repeated it in my VM with Win7 at 150%, every time into a new profile folder. All of them show the narrow treeview.

Issue History

Date Modified Username Field Change
2017-03-10 22:21 wp New Issue
2017-03-10 22:22 wp File Added: TNewOtherDialog-r54321.png
2017-03-10 22:22 wp File Added: TNewOtherDialog-r54320.png
2017-03-10 22:25 wp Additional Information Updated View Revisions
2017-03-10 22:26 wp Assigned To => Juha Manninen
2017-03-10 22:26 wp Status new => assigned
2017-03-10 22:26 wp Relationship added related to 0031419
2017-03-11 21:23 Juha Manninen Fixed in Revision => r54388
2017-03-11 21:23 Juha Manninen Note Added: 0098822
2017-03-11 21:23 Juha Manninen Status assigned => resolved
2017-03-11 21:23 Juha Manninen Resolution open => fixed
2017-03-11 22:57 wp Note Added: 0098825
2017-03-11 22:57 wp Status resolved => feedback
2017-03-11 23:26 Juha Manninen Note Added: 0098826
2017-03-11 23:56 wp Note Added: 0098828
2017-03-11 23:56 wp Status feedback => assigned
2017-03-12 09:56 Juha Manninen Status assigned => resolved
2017-03-12 10:26 wp Note Added: 0098837
2017-03-12 10:26 wp Status resolved => closed
2017-03-12 10:26 wp Fixed in Version => 1.7 (SVN)
2017-03-12 10:26 wp Target Version => 1.8
2017-05-19 01:34 wp Note Added: 0100476
2017-05-19 01:34 wp Status closed => assigned
2017-05-19 01:34 wp Resolution fixed => reopened
2017-05-19 01:34 wp Status assigned => feedback
2017-05-19 08:09 Juha Manninen Note Added: 0100479
2017-05-19 09:47 wp Note Added: 0100482
2017-05-19 09:47 wp Status feedback => assigned
2017-05-19 10:12 wp Note Edited: 0100482 View Revisions
2017-05-19 10:53 Juha Manninen Note Added: 0100484
2017-05-19 10:53 Juha Manninen Status assigned => resolved
2017-05-19 10:53 Juha Manninen Resolution reopened => fixed
2017-05-19 11:05 wp Note Added: 0100487
2017-05-31 11:55 wp Status resolved => closed
2017-09-05 11:56 Juha Manninen Status closed => assigned
2017-09-05 11:56 Juha Manninen Resolution fixed => reopened
2017-09-05 11:57 Juha Manninen Fixed in Revision r54388 => r54388, r55302
2017-09-05 11:57 Juha Manninen Relationship added has duplicate 0032372
2017-09-05 11:58 Juha Manninen Status assigned => resolved
2017-09-05 11:58 Juha Manninen Resolution reopened => fixed
2017-09-05 11:58 Juha Manninen Status resolved => closed